using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Diagnostics;

namespace GGC_HideTable
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl gridGroupingControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gridGroupingControl1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridGroupingControl1
			// 
			this.gridGroupingControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.gridGroupingControl1.BackColor = System.Drawing.SystemColors.Window;
			this.gridGroupingControl1.Location = new System.Drawing.Point(16, 24);
			this.gridGroupingControl1.Name = "gridGroupingControl1";
			this.gridGroupingControl1.ShowGroupDropArea = true;
			this.gridGroupingControl1.Size = new System.Drawing.Size(576, 424);
			this.gridGroupingControl1.TabIndex = 0;
			this.gridGroupingControl1.TableDescriptor.AllowNew = false;
			this.gridGroupingControl1.Text = "gridGroupingControl1";
			this.gridGroupingControl1.VersionInfo = "4.101.0.22";
			
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(608, 486);
			this.Controls.Add(this.gridGroupingControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
		private int numberParentRows = 5;
		private int numberChildRows = 10;

		private DataTable GetParentTable()
		{
			DataTable dt = new DataTable("ParentTable");

			
			dt.Columns.Add(new DataColumn("Col1",typeof(int))); //lower case p
			dt.Columns.Add(new DataColumn("Col2",typeof(int)));
			dt.Columns.Add(new DataColumn("Col3",typeof(int)));
			dt.Columns.Add(new DataColumn("check", typeof(bool)));

			for(int i = 0; i < numberParentRows; ++i)
			{
				DataRow dr = dt.NewRow();
				dr[0] = i;//.ToString();
				dr[1] = i * 8;
				dr[2] = 1 + 7*i;
				dt.Rows.Add(dr);
			}

			return dt;
		}

		
		private void Form1_Load(object sender, System.EventArgs e)
		{
			DataTable parentTable = GetParentTable();

			this.gridGroupingControl1.DataSource = parentTable;

			
			GridSummaryColumnDescriptor sd1 = new GridSummaryColumnDescriptor("Col2",SummaryType.Int32Aggregate ,"Col2","{Sum:####}"); 
			GridSummaryColumnDescriptor sd2 = new GridSummaryColumnDescriptor("Col3",SummaryType.Int32Aggregate,"Col3","{Sum:####}"); 
			
			
			this.gridGroupingControl1.TableDescriptor.SummaryRows.Add( new GridSummaryRowDescriptor("Row1", "Col3", new GridSummaryColumnDescriptor[] {sd1,sd2}));
			
			//For all Groups.
			this.gridGroupingControl1.ChildGroupOptions.ShowCaptionSummaryCells = true;
			//Show the CaptionSummary
			this.gridGroupingControl1.ChildGroupOptions.CaptionSummaryRow = "Row1";   
			//Hide the Bottom Summary
			this.gridGroupingControl1.ChildGroupOptions.ShowSummaries = false;

			//For MainTable.
			this.gridGroupingControl1.TopLevelGroupOptions.ShowCaptionSummaryCells = true;
			this.gridGroupingControl1.TopLevelGroupOptions.CaptionSummaryRow = "Row1";
			this.gridGroupingControl1.TopLevelGroupOptions.ShowSummaries = false;

			//For All Nested Table.
			this.gridGroupingControl1.NestedTableGroupOptions.ShowCaptionSummaryCells = true;
			this.gridGroupingControl1.NestedTableGroupOptions.CaptionSummaryRow = "Row1";
			this.gridGroupingControl1.NestedTableGroupOptions.ShowSummaries = false;
  
  
			
			this.gridGroupingControl1.TableDescriptor.GroupedColumns.Add("Col1");
		}
	}
}
